import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { OddsCrawlerFrontendCommonModule } from '@odds-crawler/common';
import { OddsCrawlerFrontendPageModule } from '@odds-crawler/page';
import { OddsCrawlerFrontendNetworkModule } from '@odds-crawler/network';

import { COMPONENTS } from './component';
import { MainRoutingPageModule } from './main-routing.page.module';

@NgModule({
  imports: [
    CommonModule,
    OddsCrawlerFrontendCommonModule,
    OddsCrawlerFrontendPageModule,
    OddsCrawlerFrontendNetworkModule,
    MainRoutingPageModule
  ],
  declarations: [...COMPONENTS]
})
export class MainPageModule {}
